Updating to latest beta-version crash the existing app:



  • This is happening to me the 2nd time. On first update from beta-0 to beta-2 it was the same. Back then I deleted the app and regenerate it with quasar cli, moved the code and all was great.
    This time I want to make it work, I can’t re-create the project every time. Any suggestion?
    Note:

    • I use npm.
    • I tried to delete node_modules and install again, no effect.
     ERROR  Failed to compile with 1 errors
    
    
     error  in ./src/router/routes.js
    
    Module parse failed: Unexpected token (8:13)
    You may need an appropriate loader to handle this file type.
    |     path: '',
    |     component: function component() {
    >       return import('./../pages/Index.vue');
    |     }
    |   }]
    


  • Solved, thanks to Allan Gaunt (EN-GB) on discordapp.
    Solution: remove node_modules folder
    Reinstall using YARN and not NPM!

    Sorry npm, you will no longer be trusted.



  • @SharpBCD consider using yarn for local and npm for globals


Log in to reply